%global __brp_check_rpaths %{nil}
%global packname  cpm
%global packver   2.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.3
Release:          1%{?dist}%{?buildtag}
Summary:          Sequential and Batch Change Detection Using Parametric and Nonparametric Methods

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.15.0
Requires:         R-core >= 2.15.0
BuildRequires:    R-methods 
Requires:         R-methods 

%description
Sequential and batch change detection for univariate data streams, using
the change point model framework. Functions are provided to allow
nonparametric distribution-free change detection in the mean, variance, or
general distribution of a given sequence of observations. Parametric
change detection methods are also provided for Gaussian, Bernoulli and
Exponential sequences. Both the batch (Phase I) and sequential (Phase II)
settings are supported, and the sequences may contain either a single or
multiple change points. A full description of this package is available in
Ross, G.J (2015) - "Parametric and nonparametric sequential change
detection in R" available at
<https://www.jstatsoft.org/article/view/v066i03>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
